Summary:	The GNU interactive spelling checker program
Name:		ispell
Version:	3.1.20
Release:	16mdk
Group:		Text tools

Source0:	ftp://prep.ai.mit.edu/pub/gnu/ispell-3.1.20.tar.bz2
Source2:	spell.bz2
Source3:	hk2-deutsch.tar.bz2 

Patch0:		ispell-3.1.20-config.patch.bz2
Patch1:		ispell-3.1.20-german.patch.bz2 
Patch3:		ispell-3.1.20-termio.patch.bz2
Patch4:		ispell-3.1.20-mask.patch.bz2
Patch5:		ispell-3.1.20-strcmp.patch.bz2
Patch6:		ispell-3.1.20-maskbits64_and_british.patch.bz2 
Patch7:		ispell-3.1.20-fixinfo.patch.bz2
Patch8:		ispell-3.1-dont-string.patch.bz2
Patch9:		ispell-3.1.20-string-includes.patch.bz2

BuildRoot:	%_tmppath/%name-%version-root
License:	GPL

%description
Ispell is the GNU interactive spelling checker.  Ispell will check a text
file for spelling and typographical errors.  When it finds a word that is
not in the dictionary, it will suggest correctly spelled words for the
misspelled word.

You should install ispell if you need a program for spell checking (and who
doesn't...).

Note this package has only the spell checker engine; you also need to
install the dictionary files from the ispell-* package for your language.

%package en
Summary:	English dictionary for ispell
Group:		System/Internationalization
Requires:	ispell
Requires:	locales-en
BuildPrereq:	words >= 2-16mdk
Obsoletes:	iamerica
Obsoletes:	ispell-english
Obsoletes:	ibritish
Obsoletes:	ispell-british
Provides:	ispell-dictionary

%description en
This package has the English dictionary files for ispell.

With it you can check the spelling of Enlish text files or LaTeX files
written in English.

%prep

%setup -q -n ispell-3.1
tar xyf $RPM_SOURCE_DIR/hk2-deutsch.tar.bz2 -C ./languages/deutsch/ '*.txt' '*.aff' '*README'
%patch0 -p1
%patch1 
%patch3 -p1 -b .termio

%ifarch alpha
%patch4 -p1 -b .mask
%endif

%patch5 -p1 -b .strcmp
%patch6 -p1 -b .maskbits
%patch7 -p1 -b .makeinfo
%patch8 -p1
%ifarch ia64
%patch9 -p1
%endif 

%build
export LC_ALL='en'
# Make config.sh first
TMPDIR=%_tmppath PATH=.:$PATH make CFLAGS="$RPM_OPT_FLAGS" config.sh
perl -p -i -e "s/-O/$RPM_OPT_FLAGS/" config.sh

# (Dadou) - 3.1.20-12mdk OK, it's ugly but it's late and I have no time to do
# nice things. Do them  if you want. Maintener (Pablo) s***s (sorry)
perl -pi -e "s#/usr/man#/usr/share/man#g" config.sh
perl -pi -e "s#/usr/info#/usr/share/info#g" config.sh
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" local.h
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" config.X
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" config.sh
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" ispell.1X
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" ispell.el
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" sq.1

# Now save build-rooted version (with time-stamp) for install ...
cp config.sh config.sh.BUILD
sed -e "s,/usr/,$RPM_BUILD_ROOT/usr/,g" < config.sh.BUILD > config.sh.INSTALL

# and then make everything
TMPDIR=%_tmppath PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%_mandir
mkdir -p $RPM_BUILD_ROOT%_libdir/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT%_infodir

# Roll in the build-root'ed version (with time-stamp!)
mv config.sh.INSTALL config.sh
TMPDIR=%_tmppath PATH=.:$PATH make install

mv $RPM_BUILD_ROOT%_infodir/ispell $RPM_BUILD_ROOT%_infodir/ispell.info

bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{_bindir}/spell

%clean
rm -fr $RPM_BUILD_ROOT

%post
%_install_info %name.info

%postun
%_remove_install_info %name.info

%files
%defattr(-,root,root)
%doc README
%attr(755,root,root) %_bindir/*
%_mandir/man1/ispell.1*
%_mandir/man4/ispell.4*
%_infodir/ispell.info*
#%_libdir/emacs/site-lisp/ispell.el
%_mandir/man1/sq.1*
%_mandir/man1/buildhash.1*
%_mandir/man1/munchlist.1*
%_mandir/man1/findaffix.1*
%_mandir/man1/tryaffix.1*
%_mandir/man1/unsq.1*
%dir %_libdir/ispell

%files en
%defattr(-,root,root)
%_mandir/man4/english.4*
%_libdir/ispell/american.hash
%_libdir/ispell/americanmed+.hash
%_libdir/ispell/english.aff
%_libdir/ispell/english.hash
%_libdir/ispell/british.hash
%_libdir/ispell/britishmed+.hash
%_libdir/ispell/britishxlg.hash

%changelog
* Thu Jun 28 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 3.1.20-16mdk
- Fix string includes for ia64

* Fri Dec 22 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.20-15mdk
- Fix Requires

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.20-14mdk
- Dont include broken string.h.

* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 3.1.20-13mdk
- Modify texinfo file for correct installation
- Generate info file instead of using a pre-generated one
- Modify BuildRequires since words package installed must be BM..

* Sun Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.20-12mdk
- Allow to build
- Macros, BM, Linux-Mandrake's specs compliant, etc.

* Thu Jun 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-11mdk
- splitted ispell-de to its own package

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-10mdk
- rebuild for new Group: names
- changed the spec file a bit to leave compression of man pages to spec-helper

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary for ispell-{en,de}
- added Requires: ispell-dictionary to ispell package, so it requires
  at least one dictionary package to be installed

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- added british files to ispell-en

* Tue Oct 26 1999 Pawel Jablonski <pj@linux-mandrake.com>
- separate dictionaries ispell-en and ispell-de

* Sun Oct 3 1999 Pawe Jaboski <pj@linux-mandrake.com>
- increase MASKBITS from 32 to 64 - like in Debian (needed by ispell-pl)

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- add a buildroot

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- strcmp may have different forms on different systems;
  do not declare it explicitly, just include <string.h>
- use /var/tmp instead of /usr/tmp

* Sun Nov 8 1998 Patricia Jung <trish@freiburg.linux.de>
- Added German dictionary

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /usr/lib/emacs/site-lisp/ispell.el -- use emacs-20.3 version.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- use posix termios (problem #558)
- add build root.

* Sat Jun 27 1998 Trent Jarvi <jarvi@ezlink.com>
- alphahack patch no longer required. struct winsize now in <ioctl-types.h>.
- change MASKWIDTH apropriately on alpha

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- have two Source1 lines isn't terribly brilliant

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to avoid remaking ispell.info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added a spell program.
- Configured for 8-bit use.
